/*  Header file for covarion.c                               */

#ifndef _COVARION_H_
#define _COVARION_H_

#include "tree.h"


extern int numTaxa, numSites, maxPartitions, numPartitions, fileFormat;


extern int invariableSites;
/*extern short *invariable;*/ /*this may not be needed any more, and gcc4 will complain about it.  Matt, 25 April 06*/

extern double covarionRate, ONfreq;
extern int covarion;
extern double CovRate[3];
extern double pcov;/*proportion of sites with covarion process under Galtier/General model*/
extern double s01;/*switching rates under general covarion model*/
extern double s10;
extern double s11;
enum {
	NoCovarion,
	Huel,
	Galt,
	General
};


/*this whole file comes from Ane's code*/

/* prototypes */

void CreateHiddenStates(TTree *tree, int inNumSites);
void EvolveHiddenStates(TTree *tree, int inFromSite, int inNumSites);
void WriteHiddenStates(FILE *fv, TTree *tree, int inNumSites, TTree *nametree);
void WriteAncestralEffectiveLengths(FILE *fv, TTree *tree, int inNumSites, TTree *nametree);



#endif /* _COVARION_H_ */
